Subject: bug#77157: [PATCH] 'uniquify' user option setters and automatic buffer refresh

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Mar 2025 08:50:42 +0200

> From: Ship Mints <[email-masked]>
> Date: Fri, 21 Mar 2025 16:02:34 -0400
> Cc: [email-masked]
> 
>  Please tell in the doc string that changing the style in the middle of
>  an Emacs session must be done via Customize or by using setopt, but
>  not by setting the variable directly (unless uniquify--set-option is
>  then invoked).
> 
> Eli, how is this wording which I'll put in each docstring?
> 
> "To reflect a change to this option's value in your live buffer names,
> use `customize' interactively, or use `setopt' in Elisp, both of which
> call `uniquify--set-option' (setq will not do that for you)."

We usually use the following style for such variables:

  Setting this variable directly will not usually take effect;
  use either \\[customize] or `setopt', or call `uniquify--set-option'
  or restart `uniquify-mode' after setting the variable directly.